pull-image:
	docker pull registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest

# --- task for LOFAR LOTSS mosaic ---

get-data-lofar:
	./scripts/lofar/get-data-LOTSS.sh

run-task-lofar:
	docker run -it --rm --name mosaicking-swarp -t -v "${CURDIR}"/scripts:/scripts/ -v "${CURDIR}"/data:/data/ registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest

run-full-lofar:
	docker pull registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest
	./scripts/LOFAR/get-data-LOTSS.sh
	docker run -it --rm --name mosaicking-swarp -t -v "${CURDIR}"/scripts:/scripts/ -v "${CURDIR}"/data:/data/ registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest

# --- task for SDSS mosaic ---

get-data-sdss:
	./scripts/sdss/get-data-sdss.sh

run-task-sdss:
	docker run -it --rm --name mosaicking-swarp -t --entrypoint /scripts/sdss/make-sdss-mosaic.sh -v "${CURDIR}"/scripts:/scripts/ -v "${CURDIR}"/data:/data/ registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest

run-full-sdss:
	docker pull registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest
	./scripts/LOFAR/get-data-SDSS.sh
	docker run -it --rm --name mosaicking-swarp -t --entrypoint /scripts/sdss/make-sdss-mosaic.sh -v "${CURDIR}"/scripts:/scripts/ -v "${CURDIR}"/data:/data/ registry.gitlab.com/ska-telescope/src/src-workloads/mosaicking-swarp:latest



# local build commands:

build-image:
	docker build . --tag mosaicking-swarp:latest

build-image-jupyter:
	docker build . -f jupyter/Dockerfile --tag mosaicking-swarp-jhub:latest

run-local:
	./scripts/lofar/get-data-LOTSS.sh
	docker run -it --rm --name mosaicking-swarp -v "${CURDIR}"/scripts:/scripts/ -v "${CURDIR}"/data:/data/ mosaicking-swarp:latest

run-local-jupyter:
	./scripts/lofar/get-data-LOTSS.sh
	docker run -it --rm --name mosaicking-swarp-jhub -p 8888:8888 mosaicking-swarp-jhub:latest

